LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07826Bug reports[All Projects] Survey takingpublic2013-05-11 01:522013-07-22 14:48
Reporterjustin 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary07826: Pass-Through Variables do not work when automatic End URL loading set to off
DescriptionIt looks like pass-through variables don't get put into the End URL properly when automatic loading of the end URL is turned OFF. It works fine when turned on.

This forum post pretty much sums it up well:
http://www.limesurvey.org/en/forum/design-issues/92614-end-url-passthru-issueserrors-200-build130213#95855 [^]

I was able to reproduce this on demo.limesurvey.org current build (130428)
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version
Attached Files? file icon limesurvey_survey_958274_notworking.lss [^] (13,420 bytes) 2013-05-21 02:17
? file icon limesurvey_survey_958274_works.lss [^] (13,420 bytes) 2013-05-21 02:17

- Relationships
related to 07923closedc_schmitz INSERTANS all-in-one presentation SPAN problem 

-  Notes
User avatar (25289)
c_schmitz (administrator)
2013-05-17 13:59

I cannot reproduce - please attach a 1-question sample survey and detail what params you are passing. Thank you.
User avatar (25320)
justin (reporter)
2013-05-21 02:20

I have attached a sample survey where it works and where it does not. I set these up on demo.limesurvey.org. The .lss files are actually the same survey, and the only difference is the automatic loading of End URL setting.

Here is how I called the survey in order to take it:
http://demo.limesurvey.org/index.php/958274/lang-en?id=42 [^]

Then, in the notworking .lss file, here is the result when I finished (I'm adding spaces to HTML so it won't render it in this report):
< a href='http://www.limesurvey.org?code=< [^] span style='background-color: #eee8aa;' >< span title='Undefined variable' style='border-style: solid; border-width: 2px; border-color: red;' >< span title='Undefined variable' style='color: red; font-weight: bold' >PASSTHRU< /span >< /span > : < span title='Undefined variable' style='border-style: solid; border-width: 2px; border-color: red;' >< span title='Undefined variable' style='color: red; font-weight: bold' >id< /span >< /span >< /span >'>Click here< /a >
            < br />< br />

If I change the automatic loading setting, then I get redirected to this URL, which is correct:
http://www.limesurvey.org/?code=43 [^]
User avatar (25523)
c_schmitz (administrator)
2013-06-14 13:42

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12588 [^]
User avatar (25730)
c_schmitz (administrator)
2013-07-08 13:50

2.00+ Build 130708 released.
User avatar (25836)
c_schmitz (administrator)
2013-07-22 14:48

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12761 [^]

- Related Changesets
LimeSurvey: master dabd7d00
Timestamp: 2013-06-14 10:37:09
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07826: Pass-through variables do not work when automatic end URL loading set to off
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
LimeSurvey: 2.05 f7400bf4
Timestamp: 2013-07-22 12:42:39
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07826: Pass-through variables do not work when automatic end URL loading set to off
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-11 01:52 justin New Issue
2013-05-14 14:12 DenisChenu Project Feature requests => Bug reports
2013-05-14 14:30 c_schmitz Assigned To => c_schmitz
2013-05-14 14:30 c_schmitz Status new => assigned
2013-05-17 13:59 c_schmitz Note Added: 25289
2013-05-17 13:59 c_schmitz Status assigned => feedback
2013-05-21 02:17 justin File Added: limesurvey_survey_958274_notworking.lss
2013-05-21 02:17 justin File Added: limesurvey_survey_958274_works.lss
2013-05-21 02:20 justin Note Added: 25320
2013-05-21 02:20 justin Status feedback => assigned
2013-06-14 12:36 c_schmitz Status assigned => resolved
2013-06-14 12:36 c_schmitz Fixed in Version => 2.00+
2013-06-14 12:36 c_schmitz Resolution open => fixed
2013-06-14 13:42 c_schmitz Changeset attached => LimeSurvey master dabd7d00
2013-06-14 13:42 c_schmitz Note Added: 25523
2013-06-14 17:10 c_schmitz Relationship added related to 07923
2013-07-08 13:50 c_schmitz Note Added: 25730
2013-07-08 13:50 c_schmitz Status resolved => closed
2013-07-22 14:48 c_schmitz Changeset attached => LimeSurvey 2.05 f7400bf4
2013-07-22 14:48 c_schmitz Note Added: 25836


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker